package com.ruoyi.baseinfo.domain;

import java.util.Date;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 交接班基础信息对象 base_shiftmaster_info
 * 
 * @author CaesarBao
 * @date 2020-10-28
 */
@Data
public class BaseShiftmasterInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 交接班编号 */
    private String shiftNo;

    /** 基台设备ID */
    @Excel(name = "基台设备ID")
    private String deviceId;

    /** 班次ID */
    @Excel(name = "班次ID")
    private String shiftId;

    /** 班组ID */
    @Excel(name = "班组ID")
    private String groupId;

    /** 起始时间 */
    @Excel(name = "起始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date overTime;

    /** 状态标志（0代表可用 1代表停用） */
    @Excel(name = "状态标志", readConverterExp = "0=代表可用,1=代表停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    private String deviceName;

    private String shiftname;

    private String groupname;
    
    public void setShiftNo(String shiftNo) 
    {
        this.shiftNo = shiftNo;
    }

    public String getShiftNo() 
    {
        return shiftNo;
    }
    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }
    public void setShiftId(String shiftId) 
    {
        this.shiftId = shiftId;
    }

    public String getShiftId() 
    {
        return shiftId;
    }
    public void setGroupId(String groupId) 
    {
        this.groupId = groupId;
    }

    public String getGroupId() 
    {
        return groupId;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setOverTime(Date overTime) 
    {
        this.overTime = overTime;
    }

    public Date getOverTime() 
    {
        return overTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shiftNo", getShiftNo())
            .append("deviceId", getDeviceId())
            .append("shiftId", getShiftId())
            .append("groupId", getGroupId())
            .append("startTime", getStartTime())
            .append("overTime", getOverTime())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
